Name:		lpairs
Summary:	Classical memory game with cards
Version:	1.0.4
Release:	6%{?dist}
License:	GPLv2+ and CC-BY-SA and Freely redistributable without restriction
Group: 		Amusements/Games
URL:		http://lgames.sourceforge.net/index.php?project=LPairs
#moved to .rpmmacros
#Packager:	Marcin Zajaczkowski <mszpak ATT wp DOTT pl>
Source0:	http://downloads.sourceforge.net/lgames/lpairs-%{version}.tar.gz
#there is a problem with data dir
#the Author said it would be hard for him to fix it at autoconf level
Patch0:		lpairs-1.0.3-datadir.diff
Patch1:		lpairs-1.0.4-desktop.diff
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#SDL is required by soname dependency
#Requires:	SDL >= 1.0
BuildRequires:	desktop-file-utils
BuildRequires: 	SDL-devel
BuildRequires:  gettext
#bison?

%description
LPairs is a classical memory game. This means you have to find pairs of
identical cards which will then be removed. Your time and tries needed
will be counted but there is no highscore chart or limit to this.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure inst_dir="%{_datadir}/%{name}"
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} inst_dir="%{_datadir}/%{name}" install
%find_lang %{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp lpairs.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	lpairs.desktop

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/lpairs
%{_datadir}/%{name}
#there is no high scores for now
#%config(noreplace) %attr(664, games, games) %{_var}/lib/games/lpairs.hscr
%doc AUTHORS ChangeLog COPYING README
#TODO is in German also not in UTF-8
#doc TODO
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Mar 7 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-6
- removed macros from changelog
- removed spaces introduces during last changes (instead of tabs)

* Sat Mar 7 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-5
- changed licence tag to cover sounds (suggested by Alexey Torkhov)
- removed redundant attr()
- fixed desktop-file-utils dependency

* Wed Mar 4 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-4
- added CC-BY-SA to the license tag (tango icons)
- changed defattr to those recomended by packaging guidelines

* Tue Mar 3 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-3
- applied suggestion from Alexey Torkhov and  Michael Schwendt (all below)
- removed %%makeinstall
- added desktop-file-utils to BuildRequires
- removed "--vendor fedora"
- removed update-desktop-database form %%pre and %%post
- removed SDL from Requires

* Mon Jan 5 2009 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-2
- cleaned up SPEC file before submition to Fedora repository

* Sun Sep 14 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.4-1
- updated to 1.0.4
- added icon file

* Sat Aug 23 2008 Marcin Zajaczkowski <mszpak ATT wp DOTT pl> - 1.0.3-1
- initial release

